임시 메모 API
GitLab의 임시 메모(미게시 댓글)를 위한 REST API 문서입니다.
이 API를 사용하여 임시 메모를 관리합니다. 임시 메모는 머지 리퀘스트에 대한 대기 중인 미게시 댓글입니다. 임시 메모는 토론을 시작하거나 답글로 기존 토론을 계속할 수 있습니다. 게시 전에는 임시 메모가 작성자에게만 표시됩니다. 모든 머지 리퀘스트 임시 메모 나열 # 모든 머지 리퀘스트 임시 메모를 나열합니다. GET /projects/:id/merge_requests/:merge_request_iid/draft_notes 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL-인코딩된 경로 . merge_request_iid 정수 예 프로젝트 머지 리퀘스트의 IID. [ { "id" : 5 , "author_id" : 23 , "merge_request_id" : 11 , "resolve_discussion" : false , "discussion_id" : null , "note" : "Example title" , "commit_id" : null , "line_code" : null , "position" : { "base_sha" : null , "start_sha" : null , "head_sha" : null , "old_path" : null , "new_path" : null , "position_type" : "text" , "old_line" : null , "new_line" : null , "line_range" : null } } ] curl --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/14/merge_requests/11/draft_notes" 임시 메모 조회 # 머지 리퀘스트의 임시 메모를 조회합니다. GET /projects/:id/merge_requests/:merge_request_iid/draft_notes/:draft_note_id 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL-인코딩된 경로 . draft_note_id 정수 예 임시 메모의 ID. merge_request_iid 정수 예 프로젝트 머지 리퀘스트의 IID. [ { "id" : 5 , "author_id" : 23 , "merge_request_id" : 11 , "resolve_discussion" : false , "discussion_id" : null , "note" : "Example title" , "commit_id" : null , "line_code" : null , "position" : { "base_sha" : null , "start_sha" : null , "head_sha" : null , "old_path" : null , "new_path" : null , "position_type" : "text" , "old_line" : null , "new_line" : null , "line_range" : n
